#pragma once

#include <iostream>
#include <fstream>

#include "TArrayD.h"
#include "TArrayI.h"
#include "TString.h"
#include "TObject.h"

using std::cout;
using std::endl;

class CalPars /*: TObject*/ {

private:
	TArrayD fA;
	TArrayD fB;
	TArrayI fC;

	TString clbFile;

public:

	CalPars() : fA(0), fB(0), fC(0) {};
	CalPars(const char* clbfile);
	virtual ~CalPars();

	Double_t GetA(Int_t i);
	Double_t GetB(Int_t i);
	Double_t GetC(Int_t i);

	void ReadParFile(const char* clbfile);
	void PrintClbPars();

	ClassDef(CalPars, 1);
};
